<%
set rs=server.createobject("ADODB.Recordset")
sql="select * from P_info where p_other = 0 "
classType = request("classType")
smallclass = request("smallclass")
key = request("key")
if classType <> "" then
	sql = sql & " and p_type = '"&classType&"'"
end if
if smallclass <> "" then
	sql = sql & " and p_small_type = '"&smallclass&"'"
end if
if key <> "" then
	sql = sql & " and p_name like '%"&key&"%'"
end if

sql = sql & " order by p_id desc"
rs.open sql,conn,1,1

if not isempty(request("page")) then   
pagecount=cint(request("page"))   
else   
pagecount=1
end if

%>
                                                  <%
rs.close
set rs=nothing
%>	<table width="95%"  border="0" cellpadding="3" cellspacing="0" align="center">
  
  <form action="GuestPost.asp" method="post" name="form0" target="_self">
              <input name="bookpost" type="hidden" value="bookpost">
              <tr><br>
                <td  height="30" align="center">留言主题：</td>
                <td  height="30"><input name="m_title" type="text" id="m_title3"   class="summary-input"  autofocus autocomplete="off" x-webkit-speech x-webkit-grammar="builtin:translate" ></td>
              </tr>
              <tr>
                <td height="30" align="center" valign="top" >留言内容：</td>
                <td height="30" ><textarea name="m_text"   autofocus autocomplete="off" x-webkit-speech x-webkit-grammar="builtin:translate"  id="textarea2" style="font-size：12px"></textarea></td>
              </tr>
              <tr>
                <td height="30" align="center" >您的称呼：</td>
                <td  height="30" valign="middle"><input name="m_name" type="text" id="m_name3" value="游客" class="summary-input"  autofocus autocomplete="off" x-webkit-speech x-webkit-grammar="builtin:translate"></td>
              </tr>

              <tr>
                <td height="30" align="center" >联系电话：</td> 
                <td height="30" ><input name="m_tel" type="text" id="m_tel3" class="summary-input"  autofocus autocomplete="off" x-webkit-speech x-webkit-grammar="builtin:translate" ></td>
              </tr>
              <tr align="center" valign="middle">
                <td height="4" colspan="2">&nbsp;</td>
              </tr>

              <tr align="center" valign="middle">
           <td height="30" colspan="2"><input type="submit" name="Submit2" value="发出留言" >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
           
        <input type="reset" name="Submit2" value="取消清空" ></td>
              </tr>
  </form>
              <tr align="center" valign="middle">
                <td height="30" colspan="2" width="95%"></td>
              </tr>
          </table> 